VERSION 5.00
Begin VB.Form Form1 
   BackColor       =   &H00FFFFFF&
   Caption         =   "DragDrop"
   ClientHeight    =   3915
   ClientLeft      =   225
   ClientTop       =   510
   ClientWidth     =   6585
   LinkTopic       =   "Form1"
   ScaleHeight     =   3915
   ScaleWidth      =   6585
   Begin VB.TextBox DragObj 
      Height          =   735
      Index           =   0
      Left            =   720
      MultiLine       =   -1  'True
      TabIndex        =   0
      Text            =   "DragObj.frx":0000
      Top             =   2400
      Width           =   2895
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'*Begin Discription Dragging and dropping an object in an application gives
'the users an additional feel of ease of use. Accomplishing this is relatively
'simple. There are many uses for dragging and dropping. This project shows
'how to reposition an object by dragging and dropping it. This technique
'could be used to position text for printing on a print object, form or
'picture box,letting the user position fields, pictures on a report etc..
'*End Discription
'*Begin Keywords
'Source,Drag,DragDrop,Objects
'*End Keywords
'*Begin Topics
'Repositioning Objects, Dragging and Dropping
'*End Topics
'*Level Easy
Dim X1 As Single
Dim Y1 As Single

Private Sub DragObj_DragDrop(Index As Integer, Source As Control, X As Single, Y As Single)
    'If the drag object is dropped upon itself adjustment must be made to
    'Position it properly
    If X > X1 Then Source.Left = Source.Left + (X - X1) Else Source.Left = Source.Left - (X1 - X)
    If Y > Y1 Then Source.Top = Source.Top + (Y - Y1) Else Source.Top = Source.Top - (Y1 - Y)
End Sub

Private Sub DragObj_MouseDown(Index As Integer, Button As Integer, Shift As Integer, X As Single, Y As Single)
    'Stores the initial X and Y of the mouse on the drag object
    X1 = X
    Y1 = Y
    'Set the manual drag mode on
    DragObj(Index).Drag
End Sub

Private Sub Form_DragDrop(Source As Control, X As Single, Y As Single)
    Source.Left = X - X1
    Source.Top = Y - Y1
End Sub

